buildscript {
    repositories {
        mavenCentral()
        jcenter()
        google()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:3.4.0'
    }
}
apply plugin: 'android'

dependencies {
    implementation 'com.android.support:support-v4:28.0.0'
    implementation fileTree( dir: 'libs', include:'*.jar' )
}

android {
    compileSdkVersion 28

    defaultConfig {
        applicationId "jp.sourceforge.fosj.typeandspeak"
        minSdkVersion 14
        targetSdkVersion 28
        versionCode 38
        versionName "1.4.10j"
    }
    sourceSets {
        main {
            manifest.srcFile 'AndroidManifest.xml'
            java.srcDirs = ['src']
            resources.srcDirs = ['src']
            aidl.srcDirs = ['src']
            renderscript.srcDirs = ['src']
            res.srcDirs = ['res']
            assets.srcDirs = ['assets']
        }

//        instrumentTest.setRoot('tests')
    }
}

allprojects {
    repositories {
        jcenter()
        google()

        // If you're using a version of Gradle lower than 4.1, you must instead use:
        // maven {
        //     url 'https://maven.google.com'
        // }
        // An alternative URL is 'https://dl.google.com/dl/android/maven2/'
    }
}
